## bareos 14.2.1+20141017gitc6c5b56

=== debian/Makefile ===
#
# Makefile for preparations of Debian builds
#

all: copyright

copyright: copyright.header copyright.footer
	@install copyright.header copyright
	@sed -r -e 's/^$$/./' -e 's/^[ ]*(.*)$$/    \1/' ../LICENSE >> copyright
	@cat copyright.footer >> copyright

clean:
	@rm -f *~ *.log
	@rm -f -r tmp/*

distclean: clean
	@find . -type f -a -name "*.in" | sed -e 's/.in$$//' | xargs rm -f
	# control is generated during configure,
	# however, for Debian builds a control file must be available before.
	# Therefore create a link to control.dummy.
	@ln -s control.dummy control

devclean: clean

=== src/win32/Makefile ===
#
# BAREOS® - Backup Archiving REcovery Open Sourced
#
# Copyright (C) 2014-2014 Bareos GmbH & Co. KG
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of version three of the GNU Affero General Public
# License as published by the Free Software Foundation and included
# in the file LICENSE.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
include Makefile.inc

VERSION_STRING := $(shell grep 'VERSION "' ../include/version.h | cut -d ' ' -f3)

all_subdirs = lib findlib lmdb filed console tools cats dird stored plugins
ifeq ($(BUILD_QTGUI),yes)
all_subdirs += qt-console qt-tray-monitor
endif

all: rc-files qt-gui
	@for I in ${all_subdirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
		$(MAKE) WIN_VERSION=$(WIN_VERSION) DESTDIR=$(DESTDIR) $@ || (echo ""; echo ""; echo "  ====== Error in `pwd` ======"; \
		echo ""; echo ""; exit 1;)); \
	done

install:
	@for I in ${all_subdirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
		$(MAKE) WIN_VERSION=$(WIN_VERSION) DESTDIR=$(DESTDIR) $@ || (echo ""; echo ""; echo "  ====== Error in `pwd` ======"; \
		echo ""; echo ""; exit 1;)); \
	done

clean:
	@for I in ${all_subdirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
		$(MAKE) WIN_VERSION=$(WIN_VERSION) DESTDIR=$(DESTDIR) $@ || (echo ""; echo ""; echo "  ====== Error in `pwd` ======"; \
		echo ""; echo ""; exit 1;)); \
	done

distclean:
	@for I in ${all_subdirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
		$(MAKE) WIN_VERSION=$(WIN_VERSION) DESTDIR=$(DESTDIR) $@ || (echo ""; echo ""; echo "  ====== Error in `pwd` ======"; \
		echo ""; echo ""; exit 1;)); \
	done

ifeq ($(BUILD_QTGUI),)
rc-files: tools/bsmtpres.rc \
	  console/consoleres.rc \
	  filed/filedres.rc \
	  stored/storedres.rc \
	  dird/dirdres.rc \
	  dird/dbcheckres.rc

qt-gui:
else
rc-files: tools/bsmtpres.rc \
	  console/consoleres.rc \
	  filed/filedres.rc \
	  stored/storedres.rc \
	  dird/dirdres.rc \
	  dird/dbcheckres.rc \
	  qt-console/batres.rc \
	  qt-tray-monitor/traymon.rc

qt-gui: qt-console/Makefile qt-tray-monitor/Makefile

qt-console/Makefile: qt-console/bat.pro
	cd qt-console; $(QMAKE) $(QMAKE_ARGS) bat.pro

qt-tray-monitor/Makefile: qt-tray-monitor/tray-monitor.pro
	cd qt-tray-monitor; $(QMAKE) $(QMAKE_ARGS) tray-monitor.pro

qt-console/batres.rc: qt-console/batres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

qt-tray-monitor/traymon.rc: qt-tray-monitor/traymon.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@
endif

tools/bsmtpres.rc: tools/bsmtpres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

console/consoleres.rc: console/consoleres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

filed/filedres.rc: filed/filedres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

stored/storedres.rc: stored/storedres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

dird/dirdres.rc: dird/dirdres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

dird/dbcheckres.rc: dird/dbcheckres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

=== src/win32/dird/Makefile ===
#
# BAREOS® - Backup Archiving REcovery Open Sourced
#
# Copyright (C) 2014-2014 Bareos GmbH & Co. KG
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of version three of the GNU Affero General Public
# License as published by the Free Software Foundation and included
# in the file LICENSE.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
VPATH = .:../../dird:../generic

include ../Makefile.inc

INCLUDES = -I. \
	   -I../.. \
	   -I../../include \
	   -I../include \
	   -I../compat/include
LDLIBS = ../lib/libbareos.a \
	 ../lib/libbareos.dll \
         ../findlib/libbareosfind.dll \
	 ../cats/libbareoscats.dll \
         $(MINGW_LIB)/libpthreadGCE2.a \
	 $(WINSOCKLIB) -lole32 -loleaut32 -luuid -lcomctl32

SVRSRCS = admin.c authenticate.c autoprune.c backup.c bsr.c catreq.c \
          dir_plugins.c dird_conf.c dird.c expand.c fd_cmds.c getmsg.c \
          inc_conf.c job.c jobq.c migrate.c mountreq.c msgchan.c \
          ndmp_dma.c newvol.c next_vol.c quota.c recycle.c restore.c \
          run_conf.c sd_cmds.c scheduler.c stats.c ua_acl.c ua_audit.c \
	  ua_cmds.c ua_dotcmds.c ua_input.c ua_impexp.c ua_label.c \
	  ua_output.c ua_prune.c ua_purge.c ua_query.c ua_restore.c \
	  ua_run.c ua_select.c ua_server.c ua_status.c ua_tree.c \
	  ua_update.c vbackup.c verify.c service.c main.c
SVROBJS = $(SVRSRCS:.c=.o)

DBCHKSRCS = dbcheck.c dird_conf.c ua_acl.c ua_audit.c run_conf.c inc_conf.c
DBCHKOBJS = $(DBCHKSRCS:.c=.o)

WINDRESSRCS = dirdres.rc
WINDRESOBJS = $(WINDRESSRCS:.rc=.o)

DBCHKRESSRCS = dbcheckres.rc
DBCHKRESOBJS = $(DBCHKRESSRCS:.rc=.o)

all: bareos-dir.exe dbcheck.exe

bareos-dir.exe: DLL_USAGE = -DUSING_DLL
bareos-dir.exe: $(SVROBJS) $(WINDRESOBJS)
	$(CXX) $(LDFLAGS_WINAPP) $(SVROBJS) $(WINDRESOBJS) $(LDLIBS) -o $@

dbcheck.exe: DLL_USAGE = -DUSING_DLL
dbcheck.exe: $(DBCHKOBJS) $(DBCHKRESOBJS)
	$(CXX) $(LDFLAGS_CONS) $(DBCHKOBJS) $(LDLIBS) $(WINDRESOBJS) -o $@

clean:
	rm -f *.o

distclean:: clean
	rm -f bareos-dir.exe dbcheck.exe

# inference rules
.c.o:
	@echo "Compiling $<"
	$(CXX) $(DLL_USAGE) $(CXXFLAGS) -c -o $@ $<

%.o : %.rc
	@echo "Ressource Compiling $^"
	$(WINDRES) $^ -o $@

=== src/win32/findlib/Makefile ===
#
# BAREOS® - Backup Archiving REcovery Open Sourced
#
# Copyright (C) 2014-2014 Bareos GmbH & Co. KG
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of version three of the GNU Affero General Public
# License as published by the Free Software Foundation and included
# in the file LICENSE.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
VPATH = .:../../findlib

include ../Makefile.inc

INCLUDES = -I../.. \
	   -I../../include \
	   -I../include \
	   -I../../findlib \
	   -I../compat/include
LDLIBS = ../lib/libbareos.dll \
	 $(MINGW_LIB)/libpthreadGCE2.a \
	 $(WINSOCKLIB)

LIBBAREOSFIND_SRCS = acl.c attribs.c bfile.c create_file.c \
                     drivetype.c enable_priv.c find_one.c \
                     find.c fstype.c match.c mkpath.c \
                     shadowing.c win32.c xattr.c
LIBBAREOSFIND_OBJS = $(LIBBAREOSFIND_SRCS:.c=.o)

DYNAMIC_OBJS = $(LIBBAREOSFIND_OBJS)

all: libbareosfind.dll

bareos$(WIN_VERSION).def: $(DYNAMIC_OBJS) make_def
	./make_def $(WIN_VERSION) $(DYNAMIC_OBJS) > $@

libbareosfind.dll: DLL_USAGE = -DBUILDING_DLL
libbareosfind.dll: $(DYNAMIC_OBJS) \
		bareos$(WIN_VERSION).def
	$(CXX) $(LDFLAGS_DLL) -Wl,--out-implib,$@.a $(DYNAMIC_OBJS) bareos$(WIN_VERSION).def $(LDLIBS) -o $@

clean:
	rm -f *.o bareos$(WIN_VERSION).def

distclean: clean
	rm -f libbareosfind.dll libbareosfind.dll.a

# inference rules
.c.o:
	@echo "Compiling $<"
	$(CXX) $(DLL_USAGE) $(CXXFLAGS) -c -o $@ $<

=== src/win32/lib/Makefile ===
#
# BAREOS® - Backup Archiving REcovery Open Sourced
#
# Copyright (C) 2014-2014 Bareos GmbH & Co. KG
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of version three of the GNU Affero General Public
# License as published by the Free Software Foundation and included
# in the file LICENSE.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
VPATH = .:../../lib:../compat

include ../Makefile.inc

INCLUDES = -I../.. \
	   -I../../include \
	   -I../include \
	   -I../compat/include
LDLIBS = $(MINGW_LIB)/libssl.dll.a \
         $(MINGW_LIB)/libcrypto.dll.a \
         $(MINGW_LIB)/libpthreadGCE2.a \
         $(MINGW_LIB)/libz.dll.a \
         $(MINGW_LIB)/liblzo2.dll.a \
         $(MINGW_LIB)/libfastlz.dll.a \
         $(WINSOCKLIB) -lole32 -loleaut32 -luuid

LIBBAREOS_SRCS = address_conf.c alist.c attr.c attribs.c base64.c \
		 berrno.c bget_msg.c binflate.c bnet_server_tcp.c bnet.c \
		 bpipe.c breg.c bregex.c bsnprintf.c bsock.c bsock_sctp.c \
		 bsock_tcp.c bsock_udt.c bsys.c btime.c btimers.c \
		 compression.c cram-md5.c cbuf.c crypto.c crypto_cache.c \
		 crypto_gnutls.c crypto_none.c crypto_nss.c crypto_openssl.c \
		 crypto_wrap.c daemon.c devlock.c dlist.c edit.c fnmatch.c \
		 guid_to_name.c hmac.c htable.c jcr.c lockmgr.c md5.c \
		 mem_pool.c message.c mntent_cache.c passphrase.c plugins.c \
		 poll.c priv.c queue.c rblist.c runscript.c rwlock.c scan.c \
		 scsi_crypto.c scsi_lli.c sellist.c serial.c sha1.c signal.c \
		 smartall.c tls_gnutls.c tls_none.c tls_nss.c tls_openssl.c \
		 tree.c util.c var.c watchdog.c workq.c
LIBBAREOS_OBJS = $(LIBBAREOS_SRCS:.c=.o)

LIBBAREOSCFG_SRCS = ini.c lex.c parse_bsr.c
LIBBAREOSCFG_OBJS = $(LIBBAREOSCFG_SRCS:.c=.o)

COMPAT_SRCS = compat.c print.c winapi.c
COMPAT_OBJS = $(COMPAT_SRCS:.c=.o)

DYNAMIC_OBJS = $(LIBBAREOS_OBJS) $(LIBBAREOSCFG_OBJS) $(COMPAT_OBJS)

STATIC_SRCS = parse_conf.c res.c
STATIC_OBJS = $(STATIC_SRCS:.c=.o)

all: libbareos.dll libbareos.a

bareos$(WIN_VERSION).def: $(DYNAMIC_OBJS) make_def
	./make_def $(WIN_VERSION) $(DYNAMIC_OBJS) > $@

libbareos.dll: DLL_USAGE = -DBUILDING_DLL
libbareos.dll: $(DYNAMIC_OBJS) \
	    bareos$(WIN_VERSION).def
	$(CXX) $(LDFLAGS_DLL) -Wl,--out-implib,$@.a $(DYNAMIC_OBJS) bareos$(WIN_VERSION).def $(LDLIBS) -o $@

libbareos.a: DLL_USAGE = -DUSING_DLL
libbareos.a: $(STATIC_OBJS)
	ar rsv $@ $(STATIC_OBJS)

clean:
	rm -f *.o bareos$(WIN_VERSION).def

distclean:: clean
	rm -f libbareos.dll libbareos.dll.a libbareos.a

# inference rules
.c.o:
	@echo "Compiling $<"
	$(CXX) $(DLL_USAGE) $(CXXFLAGS) -c -o $@ $<

=== src/win32/stored/Makefile ===
#
# BAREOS® - Backup Archiving REcovery Open Sourced
#
# Copyright (C) 2014-2014 Bareos GmbH & Co. KG
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of version three of the GNU Affero General Public
# License as published by the Free Software Foundation and included
# in the file LICENSE.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
VPATH = .:../../stored:../../stored/backends:../generic:backends

include ../Makefile.inc

INCLUDES = -I. \
	   -I../.. \
	   -I../../include \
	   -I../../stored \
	   -I../../stored/backends \
	   -I../include \
	   -I../compat/include
LDLIBS = ../lib/libbareos.a \
	 ../lib/libbareos.dll \
         $(MINGW_LIB)/libpthreadGCE2.a \
	 $(WINSOCKLIB) -lole32 -loleaut32 -luuid -lcomctl32

LDLIBS_FIND = ../lib/libbareos.a \
	      ../lib/libbareos.dll \
	      ../findlib/libbareosfind.dll \
	      $(MINGW_LIB)/libpthreadGCE2.a \
	      $(WINSOCKLIB) -lole32 -loleaut32 -luuid -lcomctl32

DEVICE_API_SRCS = generic_tape_device.c win32_tape_device.c win32_file_device.c

# objects used in all daemons collected in (shared) library.
LIBBAREOSSD_SRCS = acquire.c ansi_label.c askdir.c autochanger.c block.c \
		   bsr.c butil.c crc32.c dev.c device.c ebcdic.c label.c \
		   lock.c mount.c read_record.c record.c reserve.c scan.c \
		   sd_backends.c sd_plugins.c sd_stats.c spool.c \
		   stored_conf.c vol_mgr.c wait.c $(DEVICE_API_SRCS)
LIBBAREOSSD_OBJS = $(LIBBAREOSSD_SRCS:.c=.o)

DYNAMIC_OBJS = $(LIBBAREOSSD_OBJS)

SVRSRCS = append.c askdir.c authenticate.c dir_cmd.c fd_cmds.c job.c mac.c \
	  ndmp_tape.c read.c sd_cmds.c sd_stats.c status.c stored.c \
	  service.c main.c
SVROBJS = $(SVRSRCS:.c=.o)

TAPESRCS = btape.c
TAPEOBJS = $(TAPESRCS:.c=.o)

BLSSRCS = bls.c
BLSOBJS = $(BLSSRCS:.c=.o)

BEXTSRCS = bextract.c
BEXTOBJS = $(BEXTSRCS:.c=.o)

WINDRESSRCS = storedres.rc
WINDRESOBJS = $(WINDRESSRCS:.rc=.o)

all: libbareossd.dll bareos-sd.exe btape.exe bls.exe bextract.exe

bareos$(WIN_VERSION).def: $(DYNAMIC_OBJS) make_def
	./make_def $(WIN_VERSION) $(DYNAMIC_OBJS) > $@

libbareossd.dll: DLL_USAGE = -DBUILDING_DLL
libbareossd.dll: $(DYNAMIC_OBJS) \
		bareos$(WIN_VERSION).def
	$(CXX) $(LDFLAGS_DLL) -Wl,--out-implib,$@.a $(DYNAMIC_OBJS) bareos$(WIN_VERSION).def $(LDLIBS) -o $@

bareos-sd.exe: DLL_USAGE = -DUSING_DLL
bareos-sd.exe: libbareossd.dll $(SVROBJS) $(WINDRESOBJS)
	$(CXX) $(LDFLAGS_WINAPP) $(SVROBJS) $(WINDRESOBJS) $(LDLIBS) ./libbareossd.dll -o $@

btape.exe: DLL_USAGE = -DUSING_DLL
btape.exe: libbareossd.dll $(TAPEOBJS) $(WINDRESOBJS)
	$(CXX) $(LDFLAGS_CONS) $(TAPEOBJS) $(WINDRESOBJS) $(LDLIBS) ./libbareossd.dll -o $@

bls.exe: DLL_USAGE = -DUSING_DLL
bls.exe: libbareossd.dll $(BLSOBJS) $(WINDRESOBJS)
	$(CXX) $(LDFLAGS_CONS) $(BLSOBJS) $(WINDRESOBJS) $(LDLIBS_FIND) ./libbareossd.dll -o $@

bextract.exe: DLL_USAGE = -DUSING_DLL
bextract.exe: libbareossd.dll $(BEXTOBJS) $(WINDRESOBJS)
	$(CXX) $(LDFLAGS_CONS) $(BEXTOBJS) $(WINDRESOBJS) $(LDLIBS_FIND) ./libbareossd.dll -o $@

clean:
	rm -f *.o bareos$(WIN_VERSION).def

distclean:: clean
	rm -f libbareossd.dll libbareossd.dll.a bareos-sd.exe btape.exe bls.exe bextract.exe

# inference rules
.c.o:
	@echo "Compiling $<"
	$(CXX) $(DLL_USAGE) $(CXXFLAGS) -c -o $@ $<

%.o : %.rc
	@echo "Ressource Compiling $^"
	$(WINDRES) $^ -o $@

=== debian/changelog ===
bareos (14.2.1+20141017gitc6c5b56-3+deb8u3) jessie; urgency=medium

  * Fix permissions of bareos-dir logrotate config. (Closes: #864926)
  * Fix file corruption when using SHA1 signature. (Closes: #869608)
  * Add autopkgtest for SHA1 signature.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 27 Jul 2017 21:02:50 +0200

bareos (14.2.1+20141017gitc6c5b56-3+deb8u2) jessie; urgency=medium

  * Fix GnuTLS backend initialization. (Closes: #819807)
    - Backport upstream commits in d/patches/fix-tls-backend-initalization
  * Add autopkgtests for TLS.
  * Add breaks-testbed to all tests.
  * Fix TLS negotiation for passive filedaemons.
    - Backport upstream commit in d/patches/fix-tls-passive-fds

 -- Felix Geyer <fgeyer@debian.org>  Sat, 09 Apr 2016 16:25:33 +0200

bareos (14.2.1+20141017gitc6c5b56-3+deb8u1) stable; urgency=medium

  [ Felix Geyer ]
  * backport the fix for the backup corruption on multi-volume jobs
    (Closes: #788543)
  * add autopkgtests

  [ Evgeni Golov ]
  * do not try to create the databases when running tests

 -- Evgeni Golov <evgeni@debian.org>  Sun, 30 Aug 2015 09:08:30 +0200

bareos (14.2.1+20141017gitc6c5b56-3) unstable; urgency=medium

  * do not install files as conffiles in /etc/bareos (Closes: #767819)

 -- Evgeni Golov <evgeni@debian.org>  Tue, 04 Nov 2014 07:19:30 +0100

bareos (14.2.1+20141017gitc6c5b56-2) unstable; urgency=medium

  * Add more conflicts against Bacula packages.
    Thanks to Ralf Treinen <treinen@free.fr> (Closes: #767058)

 -- Evgeni Golov <evgeni@debian.org>  Thu, 30 Oct 2014 17:17:58 +0100

bareos (14.2.1+20141017gitc6c5b56-1) unstable; urgency=medium

  * Import newer upstream snapshot.
  * Use GnuTLS instead of OpenSSL to avoid licensing problems.
  * Don't generate debian/control during build.

 -- Evgeni Golov <evgeni@debian.org>  Sat, 25 Oct 2014 21:32:39 +0200

bareos (14.2.1+20140930git1339225-1) unstable; urgency=medium

  * Initial Debian release. (Closes: Bug#762459)

 -- Evgeni Golov <evgeni@debian.org>  Wed, 08 Oct 2014 13:21:16 +0200

=== debian/control ===
Source: bareos
Section: admin
Priority: optional
Maintainer: Bareos Packaging Team <pkg-bareos-devel@lists.alioth.debian.org>
Uploaders: Joerg Steffens <joerg.steffens@bareos.com>, Evgeni Golov <evgeni@debian.org>
Build-Depends: acl-dev,
 autotools-dev,
 bc,
 chrpath,
 debhelper (>= 7.0.50~),
 dpkg-dev (>= 1.13.19),
 libacl1-dev,
 libcap-dev,
 liblzo2-dev,
 libqt4-dev,
 libreadline-dev,
 libgnutls28-dev,
 libwrap0-dev,
 libx11-dev,
 libsqlite3-dev, libmysqlclient-dev, libpq-dev,
 lsb-release,
 mtx,
 ncurses-dev,
 pkg-config,
 po-debconf (>= 0.8.2),
 python-dev,
 zlib1g-dev
# Debian (not Ubuntu):
#   libsqlite0-dev,
#   libjconv-dev,
# univention:
#   ucslint, univention-config-dev
Build-Conflicts: python2.2-dev, python2.3, python2.4, qt3-dev-tools
Standards-Version: 3.9.5
Vcs-Git: git://github.com/bareos/bareos.git -b bareos-14.2-debian
Vcs-Browser: https://github.com/bareos/bareos/tree/bareos-14.2-debian
Homepage: http://www.bareos.org/



Package:        bareos
Architecture:   any
Depends:        bareos-director (= ${binary:Version}), bareos-storage (= ${binary:Version}), bareos-client (= ${binary:Version}), ${misc:Depends}
Description: Backup Archiving Recovery Open Sourced - metapackage
 Bareos is a set of programs to manage backup, recovery and verification
 of computer data across a network of computers of different kinds.
 .
 It is efficient and relatively easy to use, while offering many advanced
 storage management features that make it easy to find and recover lost or
 damaged files. Due to its modular design, Bareos is scalable from small
 single computer systems to networks of hundreds of machines.
 .
 This metapackage installs the entire suite of Bareos applications: job
 scheduling, storage control, node connector, and administrative console.

Package:        bareos-bconsole
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
Depends:        bareos-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts:      bacula-console
Replaces:       bacula-console
Description: Backup Archiving Recovery Open Sourced - text console
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The management console allows the administrator or user to
 communicate with the Bareos Director.
 .
 This package provides the text-interface version of the console.


Package:        bareos-client
Architecture:   any
Depends:        bareos-bconsole (>= ${binary:Version}), bareos-filedaemon (>= ${binary:Version}), ${misc:Depends}
Recommends:     bareos-traymonitor
Description: Backup Archiving Recovery Open Sourced - client metapackage
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The package is a metapackage for client installations (file daemon and
 console).


Package:        bareos-common
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0, adduser
Depends:        openssl, ${shlibs:Depends}, ${misc:Depends}
Conflicts:	bacula-director-common, bacula-common
Description:    Backup Archiving Recovery Open Sourced - common files
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bareos packages.


Package:        bareos-database-common
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
Depends:        bareos-database-postgresql  (= ${binary:Version}) | bareos-database-mysql (= ${binary:Version}) | bareos-database-sqlite3 (= ${binary:Version}), bareos-common (= ${binary:Version}), dbconfig-common, lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
Description: Backup Archiving Recovery Open Sourced - common catalog files
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides common files for the Bareos Director daemon.


Package:        bareos-database-postgresql
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
Depends:        bareos-database-common (= ${binary:Version}), lsb-base (>= 3.2-13), postgresql-client, ${shlibs:Depends}, ${misc:Depends}
Suggests:       postgresql
Description: Backup Archiving Recovery Open Sourced - PostgreSQL backend
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides the functionality to connect the Bareos Director
 daemon to a PostgreSQL database.


Package:        bareos-database-mysql
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
Depends:        bareos-database-common (= ${binary:Version}), lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
Suggests:       mysql-server
Description: Backup Archiving Recovery Open Sourced - MySQL backend
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides the functionality to connect the Bareos Director
 daemon to a MySQL database.


Package:        bareos-database-sqlite3
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
Depends:        bareos-database-common (= ${binary:Version}), sqlite3, lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
Description: Backup Archiving Recovery Open Sourced - SQLite backend
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides the functionality to connect the Bareos Director
 daemon to a SQLite database.


Package:        bareos-database-tools
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
Depends:        bareos-common (= ${binary:Version}), bareos-database-common (= ${binary:Version}), lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
Conflicts:	bacula-sd-mysql, bacula-sd-pgsql, bacula-sd-sqlite3
Description: Backup Archiving Recovery Open Sourced - database tools
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides tools that requires access to the Bareos database.


Package: bareos-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
    bareos-storage (= ${binary:Version}) | bareos-bconsole (= ${binary:Version}) | bareos-common (= ${binary:Version}) | bareos-database-common (= ${binary:Version}) | bareos-database-mysql (= ${binary:Version}) | bareos-database-postgresql (= ${binary:Version}) | bareos-database-sqlite3 (= ${binary:Version}) | bareos-database-tools (= ${binary:Version}) | bareos-director (= ${binary:Version}) | bareos-filedaemon (= ${binary:Version}) | bareos-storage (= ${binary:Version}) | bareos-storage-tape (= ${binary:Version}) | bareos-storage-fifo (= ${binary:Version}) | bareos-tools (= ${binary:Version}),
    ${misc:Depends}
Conflicts: bacula-sd-dbg, bacula-sd-mysql-dbg, bacula-sd-pgsql-dbg, bacula-sd-sqlite3-dbg
Description: Backup Archiving Recovery Open Sourced - debugging symbols
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides debugging symbols for Bareos.


Package:        bareos-devel
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
Depends:        ${shlibs:Depends}, ${misc:Depends}
Description: Backup Archiving Recovery Open Sourced - development files
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides additonal files for develop against Bareos.


Package:        bareos-director
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0, adduser
Depends:        bareos-common (= ${binary:Version}), bareos-database-common (= ${binary:Version}), bareos-database-tools, lsb-base (>= 3.2-13), bsd-mailx | mailx, ${shlibs:Depends}, ${misc:Depends}
Recommends:     logrotate
Conflicts:      bacula-director
Replaces:       bacula-director
Description: Backup Archiving Recovery Open Sourced - director daemon
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The Bareos Director service supervises all the backup, restore, verify and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This package contains the Bareos Director daemon.


Package:        bareos-filedaemon
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0, adduser
Depends:        bareos-common (= ${binary:Version}), ${shlibs:Depends}, lsb-base (>= 3.2-13), lsof, ${misc:Depends}
Conflicts:      bacula-fd
Replaces:       bacula-fd
Description: Backup Archiving Recovery Open Sourced - file daemon
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The file daemon has to be installed on the machine to be backed up. It is
 responsible for providing the file attributes and data when requested by
 the Director, and also for the file system-dependent part of restoration.
 .
 This package contains the Bareos File daemon.


Package:        bareos-storage
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0, adduser
Depends:        bareos-common (= ${binary:Version}), lsb-base (>= 3.2-13), lsof, python, ${shlibs:Depends}, ${misc:Depends}
Conflicts:      bacula-sd
Replaces:       bacula-sd
Description: Backup Archiving Recovery Open Sourced - storage daemon
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The storage daemon performs the storage and recovery of the file
 attributes and data to the physical media; in other words, it is
 responsible for reading and writing the backups.
 .
 It runs on the machine which has access to the backup device(s) - usually
 a tape drive, but alternatively other storage media, such as files.


Package:        bareos-storage-fifo
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
Depends:        bareos-common (= ${binary:Version}), bareos-storage (= ${binary:Version}), lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
Description: Backup Archiving Recovery Open Sourced - storage daemon FIFO backend
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package contains the Storage backend for FIFO files.
 This package is only required, when a resource "Archive Device = fifo"
 should be used by the Bareos Storage Daemon.


Package:        bareos-storage-tape
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0, adduser
Depends:        bareos-common (= ${binary:Version}), bareos-storage (= ${binary:Version}), lsb-base (>= 3.2-13), mtx, ${shlibs:Depends}, ${misc:Depends}
Recommends:     mt-st
Suggests:       dds2tar, scsitools, sg3-utils
Description: Backup Archiving Recovery Open Sourced - storage daemon tape support
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The storage daemon performs the storage and recovery of the file
 attributes and data to the physical media; in other words, it is
 responsible for reading and writing the backups.
 .
 It runs on the machine which has access to the backup device(s) - usually
 a tape drive, but alternatively other storage media, such as files.
 .
 This adds the tape specific support files for the storage daemon.


Package:        bareos-tools
Architecture:   any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
DH_VERBOSE = 1

# This has to be exported to make some magic below work.
DH_OPTIONS = -v

DAEMON_USER = bareos
DAEMON_GROUP = bareos
DIRECTOR_DAEMON_USER = $(DAEMON_USER)
STORAGE_DAEMON_USER = $(DAEMON_USER)
FILE_DAEMON_USER = root
STORAGE_DAEMON_GROUP = $(DAEMON_GROUP)
WORKING_DIR = /var/lib/bareos

define CONFIGURE_COMMON
  --with-sbin-perm=755 \
  --libdir=/usr/lib/bareos \
  --sysconfdir=/etc/bareos \
  --with-archivedir=/var/lib/bareos/storage \
  --with-backenddir=/usr/lib/bareos/backends \
  --with-scriptdir=/usr/lib/bareos/scripts \
  --with-plugindir=/usr/lib/bareos/plugins \
  --with-working-dir=/var/lib/bareos \
  --with-pid-dir=/var/lib/bareos \
  --with-bsrdir=/var/lib/bareos \
  --with-logdir=/var/log/bareos \
  --with-subsys-dir=/var/lock \
  --enable-smartalloc \
  --disable-conio \
  --enable-readline \
  --enable-batch-insert \
  --enable-dynamic-cats-backends \
  --enable-dynamic-storage-backends \
  --enable-acl \
  --enable-xattr \
  --enable-scsi-crypto \
  --enable-lmdb \
  --enable-ndmp \
  --enable-ipv6 \
  --with-postgresql \
  --with-mysql \
  --with-sqlite3 \
  --with-tcp-wrappers \
  --without-openssl \
  --with-gnutls \
  --with-dir-user=$(DIRECTOR_DAEMON_USER) \
  --with-dir-group=$(DAEMON_GROUP) \
  --with-sd-user=$(STORAGE_DAEMON_USER) \
  --with-sd-group=$(STORAGE_DAEMON_GROUP) \
  --with-fd-user=$(FILE_DAEMON_USER) \
  --with-fd-group=$(DAEMON_GROUP) \
  --with-dir-password="XXX_REPLACE_WITH_DIRECTOR_PASSWORD_XXX" \
  --with-fd-password="XXX_REPLACE_WITH_CLIENT_PASSWORD_XXX" \
  --with-sd-password="XXX_REPLACE_WITH_STORAGE_PASSWORD_XXX" \
  --with-mon-dir-password="XXX_REPLACE_WITH_DIRECTOR_MONITOR_PASSWORD_XXX" \
  --with-mon-fd-password="XXX_REPLACE_WITH_CLIENT_MONITOR_PASSWORD_XXX" \
  --with-mon-sd-password="XXX_REPLACE_WITH_STORAGE_MONITOR_PASSWORD_XXX" \
  --with-basename="XXX_REPLACE_WITH_LOCAL_HOSTNAME_XXX" \
  --with-hostname="XXX_REPLACE_WITH_LOCAL_HOSTNAME_XXX" \
  --enable-includes \
  --disable-rpath
endef

#  --docdir="\$(_docdir)/bareos" \
#  --htmldir="\$(_docdir)/bareos/html" \

CONFIGURE_CLIENT_ONLY = $(CONFIGURE_COMMON) --enable-client-only
CONFIGURE_FULL        = $(CONFIGURE_COMMON) --with-python --enable-bat --enable-traymonitor

override_dh_auto_configure:
	if [ "`lsb_release --short  --id`" = "Ubuntu" ] && [ "`lsb_release --short  --release`" = "8.04" ]; then \
		echo "configure common configuration"; \
		dh_auto_configure -- $(CONFIGURE_COMMON); \
	else \
		echo "configure full configuration"; \
		dh_auto_configure -- $(CONFIGURE_FULL); \
	fi

override_dh_fixperms:
	# all files in /etc/bareos
	dh_fixperms \
		--exclude etc/bareos/ \
		--exclude var/lib/bareos/ \
		--exclude var/log/bareos/

override_dh_strip:
	dh_strip --dbg-package=bareos-dbg

override_dh_install:
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/bareos/backends/libbareoscats-mysql* \
		$(CURDIR)/debian/tmp/usr/lib/bareos/backends/libbareoscats-postgresql* \
		$(CURDIR)/debian/tmp/usr/lib/bareos/backends/libbareoscats-sqlite3*
	dh_install

override_dh_installinit:
	dh_installinit --package=bareos-director   --name=bareos-dir --no-start
	dh_installinit --package=bareos-storage    --name=bareos-sd  --no-start
	dh_installinit --package=bareos-filedaemon --name=bareos-fd

override_dh_makeshlibs:
	dh_makeshlibs -n

%:
	PARALLEL="--parallel"; \
	if [ "`lsb_release --short  --id`" = "Ubuntu" ] && [ "`lsb_release --short  --release`" = "8.04" ]; then PARALLEL=""; fi; \
	dh $@ $$PARALLEL

gen-debian-copyright:
	(cd debian; make copyright)

=== debian/tests/control ===
Test-Command: test/all
Restrictions: breaks-testbed needs-root allow-stderr
Depends: postgresql, bareos-database-postgresql, bareos

Test-Command: test/all
Restrictions: breaks-testbed needs-root allow-stderr
Depends: mysql-server, bareos-database-mysql, bareos

Test-Command: test/all
Restrictions: breaks-testbed needs-root allow-stderr
Depends: bareos-database-sqlite3, bareos

Tests: tls tls-passive sha1
Restrictions: breaks-testbed needs-root allow-stderr
Depends: bareos-database-sqlite3, bareos

## bareos 14.2.1+20141017-2

=== debian/changelog ===
bareos (14.2.1+20141017-2-8) eole-2.5-unstable; urgency=low

  [ Philippe Caseiro ]
  * [f708a6d] Correction des droits pour les installation existantes de bareos-dir

  [ EOLE Build Daemon ]
  * [218b69a] Philippe Caseiro: Update package since “debian/eole/14.2.1+20141017-2-7”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Tue, 10 Nov 2015 15:51:53 +0100

bareos (14.2.1+20141017-2-7) eole-2.5-unstable; urgency=low

  [ Philippe Caseiro ]
  * [a98268e] Ajout d'un patch pour corriger l'installation de la conf logrotate.

  [ EOLE Build Daemon ]
  * [22fcd00] Philippe Caseiro: Update package since “debian/eole/14.2.1+20141017-2-6”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Tue, 10 Nov 2015 15:10:20 +0100

bareos (14.2.1+20141017-2-6) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [d4ac83e] Désactiver la configuration dbconfig-common

  [ EOLE Build Daemon ]
  * [7c9556e] Daniel Dehennin: Update package since “debian/eole/14.2.1+20141017-2-5”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 18 Sep 2015 16:01:28 +0200

bareos (14.2.1+20141017-2-5) eole-2.5-unstable; urgency=low

  [ Philippe Caseiro ]
  * [c0b092c] Correction du SEGV sur check_bareos

  [ EOLE Build Daemon ]
  * [aa64260] Philippe Caseiro: Update package since “debian/eole/14.2.1+20141017-2-4”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Wed, 16 Sep 2015 11:56:09 +0200

bareos (14.2.1+20141017-2-4) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [9ef3bef] Fix compilation of check-bareos-plugin

  [ EOLE Build Daemon ]
  * [8fac086] Daniel Dehennin: Update package since “debian/eole/14.2.1+20141017-2-3”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 15 Sep 2015 11:56:22 +0200

bareos (14.2.1+20141017-2-3) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [5ca94d8] Add patch to create check-bareos-plugin
  * [9a5f726] Enable check-bareos-plugin package

  [ EOLE Build Daemon ]
  * [9011164] Daniel Dehennin: Update package since “debian/eole/14.2.1+20141017-2-2”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 15 Sep 2015 11:11:10 +0200

bareos (14.2.1+20141017-2-2) eole-2.5-unstable; urgency=low

  [ Joël Cuissinat ]
  * [a922a4d] Gestion des Provides/Conflicts/Replaces directement dans bareos

  [ EOLE Build Daemon ]
  * [efbc50a] Joël Cuissinat: Update package since “debian/eole/14.2.1+20141017-2-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 03 Sep 2015 11:10:36 +0200

bareos (14.2.1+20141017-2-1) eole-2.5-unstable; urgency=low

  [ Garette Emmanuel ]
  * [74d5a6f] suppression d'un patch appliqué par dpkg-source

  [ Joël Cuissinat ]
  * [e05d2bc] Merge tag 'release/14.2.1+20141017-2' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [b35260e] Joël Cuissinat: Update package since “debian/eole/14.2.1+20141017-1-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 27 Aug 2015 11:15:56 +0200

bareos (14.2.1+20141017-1-1) eole-2.5-unstable; urgency=low

  * [0cb84bc] Ajout configuration gbp/EOLE

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 26 Aug 2015 18:02:24 +0200

bareos (14.2.1+20141017gitc6c5b56-4) unstable; urgency=medium

  [ Joerg Steffens ]
  * clearified description for bareos-database-common.
    Thanks to Davide Prina (Closes: #768606)
  * on purge, also remove /etc/bareos/.rndpwd.
    Thanks to Andreas Beckmann (Closes: #769096)
  * get rid of circular dependencies.
    Thanks to Bill Allombert (Closes: #769536)

 -- Evgeni Golov <evgeni@debian.org>  Tue, 02 Dec 2014 10:23:53 +0100

=== debian/control ===
--- 
+++ 
@@ -57,6 +57,7 @@
 Architecture:   any
 Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
 Depends:        bareos-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Provides:       bacula-console
 Conflicts:      bacula-console
 Replaces:       bacula-console
 Description: Backup Archiving Recovery Open Sourced - text console
@@ -85,7 +86,9 @@
 Architecture:   any
 Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0, adduser
 Depends:        openssl, ${shlibs:Depends}, ${misc:Depends}
-Conflicts:	bacula-director-common, bacula-common
+Provides:       bacula-director-common, bacula-common
+Conflicts:      bacula-director-common, bacula-common
+Replaces:       bacula-director-common, bacula-common
 Description:    Backup Archiving Recovery Open Sourced - common files
  Bareos is a set of programs to manage backup, recovery and verification of
  data across a network of computers of different kinds.
@@ -96,12 +99,13 @@
 Package:        bareos-database-common
 Architecture:   any
 Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
-Depends:        bareos-database-postgresql  (= ${binary:Version}) | bareos-database-mysql (= ${binary:Version}) | bareos-database-sqlite3 (= ${binary:Version}), bareos-common (= ${binary:Version}), dbconfig-common, lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
+Depends:        bareos-common (= ${binary:Version}), dbconfig-common, lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
 Description: Backup Archiving Recovery Open Sourced - common catalog files
  Bareos is a set of programs to manage backup, recovery and verification of
  data across a network of computers of different kinds.
  .
- This package provides common files for the Bareos Director daemon.
+ This package provides generic abstraction libs and files to connect the Bareos
+ Director daemon to a database.
 
 
 Package:        bareos-database-postgresql
@@ -145,8 +149,10 @@
 Package:        bareos-database-tools
 Architecture:   any
 Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
-Depends:        bareos-common (= ${binary:Version}), bareos-database-common (= ${binary:Version}), lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
+Depends:        bareos-common (= ${binary:Version}), bareos-database-postgresql (= ${binary:Version}) | bareos-database-mysql (= ${binary:Version}) | bareos-database-sqlite3 (= ${binary:Version}), lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
+Provides:	bacula-sd-mysql, bacula-sd-pgsql, bacula-sd-sqlite3
 Conflicts:	bacula-sd-mysql, bacula-sd-pgsql, bacula-sd-sqlite3
+Replaces:	bacula-sd-mysql, bacula-sd-pgsql, bacula-sd-sqlite3
 Description: Backup Archiving Recovery Open Sourced - database tools
  Bareos is a set of programs to manage backup, recovery and verification of
  data across a network of computers of different kinds.
@@ -183,8 +189,9 @@
 Package:        bareos-director
 Architecture:   any
 Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0, adduser
-Depends:        bareos-common (= ${binary:Version}), bareos-database-common (= ${binary:Version}), bareos-database-tools, lsb-base (>= 3.2-13), bsd-mailx | mailx, ${shlibs:Depends}, ${misc:Depends}
+Depends:        bareos-common (= ${binary:Version}), bareos-database-postgresql (= ${binary:Version}) | bareos-database-mysql (= ${binary:Version}) | bareos-database-sqlite3 (= ${binary:Version}), bareos-database-tools, lsb-base (>= 3.2-13), bsd-mailx | mailx, ${shlibs:Depends}, ${misc:Depends}
 Recommends:     logrotate
+Provides:       bacula-director
 Conflicts:      bacula-director
 Replaces:       bacula-director
 Description: Backup Archiving Recovery Open Sourced - director daemon
@@ -202,6 +209,7 @@
 Architecture:   any
 Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0, adduser
 Depends:        bareos-common (= ${binary:Version}), ${shlibs:Depends}, lsb-base (>= 3.2-13), lsof, ${misc:Depends}
+Provides:       bacula-fd
 Conflicts:      bacula-fd
 Replaces:       bacula-fd
 Description: Backup Archiving Recovery Open Sourced - file daemon
@@ -219,6 +227,7 @@
 Architecture:   any
 Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0, adduser
 Depends:        bareos-common (= ${binary:Version}), lsb-base (>= 3.2-13), lsof, python, ${shlibs:Depends}, ${misc:Depends}
+Provides:       bacula-sd
 Conflicts:      bacula-sd
 Replaces:       bacula-sd
 Description: Backup Archiving Recovery Open Sourced - storage daemon
@@ -256,15 +265,3 @@
  Bareos is a set of programs to manage backup, recovery and verification of
  data across a network of computers of different kinds.
  .
- The storage daemon performs the storage and recovery of the file
- attributes and data to the physical media; in other words, it is
- responsible for reading and writing the backups.
- .
- It runs on the machine which has access to the backup device(s) - usually
- a tape drive, but alternatively other storage media, such as files.
- .
- This adds the tape specific support files for the storage daemon.
-
-
-Package:        bareos-tools
-Architecture:   any

=== debian/rules ===
--- 
+++ 
@@ -118,5 +118,9 @@
 	if [ "`lsb_release --short  --id`" = "Ubuntu" ] && [ "`lsb_release --short  --release`" = "8.04" ]; then PARALLEL=""; fi; \
 	dh $@ $$PARALLEL
 
+override_dh_auto_build:
+	dh_auto_build -O--parallel
+	(cd check_bareos; make)
+
 gen-debian-copyright:
 	(cd debian; make copyright)
